import 'dart:io';

import 'package:fluent_ui/fluent_ui.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:momo/fluent/app.dart';
import 'package:momo/material/app.dart';

void main() {
  print(defaultTargetPlatform);
  runApp(ProviderScope(child: const MyApp()));
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    if (Platform.isWindows) {
      return const MyFluentApp();
    } else {
      return const MyMaterialApp();
    }
  }
}
